漏洞信息详情

ImageMagick 缓冲区错误漏洞

  • CNNVD编号:CNNVD-201810-238
  • 危害等级: 中危
  • CVE编号: CVE-2018-18023
  • 漏洞类型: 缓冲区错误
  • 发布时间: 2018-10-08
  • 威胁类型: 远程
  • 更新时间: 2019-06-27
  • 厂        商: imagemagick
  • 漏洞来源: Ubuntu

漏洞简介

ImageMagick是美国ImageMagick Studio公司的一套开源的图象处理软件。该软件可读取、转换、写入多种格式的图片。

ImageMagick 7.0.8-13 Q16版本中的coders/svg.c文件的‘SVGStripString’函数存在安全漏洞。攻击者可借助特制的SVG图像文件利用该漏洞造成拒绝服务(缓冲区越界读取)。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://github.com/ImageMagick/ImageMagick/issues/1336

参考网址

来源:MISC

链接:https://github.com/ImageMagick/ImageMagick/issues/1336

来源:UBUNTU

链接:https://usn.ubuntu.com/4034-1/

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4034-1/

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/153426/Ubuntu-Security-Notice-USN-4034-1.html

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/ImageMagick-out-of-bounds-memory-reading-via-SVGStripString-29624

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.2302/

漏洞信息快速查询

相关漏洞

更多